<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>react-native-bluetooth-serial: CBPeripheral(com_megster_bluetoothserial_extension) Category Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">react-native-bluetooth-serial
   &#160;<span id="projectnumber">1.0.0</span>
   </div>
   <div id="projectbrief">Portofhttps://github.com/don/BluetoothSerialforreactnative</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Instance Methods</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="../../dd/da1/categoryCBPeripheral_07com__megster__bluetoothserial__extension_08-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">CBPeripheral(com_megster_bluetoothserial_extension) Category Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Instance Methods</h2></td></tr>
<tr class="memitem:a5c72ad5b9620e4bf549509810a28973f"><td class="memItemLeft" align="right" valign="top"><a id="a5c72ad5b9620e4bf549509810a28973f"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>bts_setAdvertisementData:RSSI:</b></td></tr>
<tr class="separator:a5c72ad5b9620e4bf549509810a28973f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a62b654d6c23bee0cf6174abdb8fa7bc5"><td class="memItemLeft" align="right" valign="top"><a id="a62b654d6c23bee0cf6174abdb8fa7bc5"></a>
NSString *&#160;</td><td class="memItemRight" valign="bottom"><b>btsAdvertising</b></td></tr>
<tr class="separator:a62b654d6c23bee0cf6174abdb8fa7bc5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08dfde2aa7115b4014756a11d577d5a3"><td class="memItemLeft" align="right" valign="top"><a id="a08dfde2aa7115b4014756a11d577d5a3"></a>
NSNumber *&#160;</td><td class="memItemRight" valign="bottom"><b>btsAdvertisementRSSI</b></td></tr>
<tr class="separator:a08dfde2aa7115b4014756a11d577d5a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this category was generated from the following files:<ul>
<li>RCTBluetoothSerial/<a class="el" href="../../d7/d0f/CBPeripheral_09BTSExtensions_8h_source.html">CBPeripheral+BTSExtensions.h</a></li>
<li>RCTBluetoothSerial/CBPeripheral+BTSExtensions.m</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
